Generate an invite link for a user already created in your OneLogin account. Provide the link to the user to enable her to set her password to access your OneLogin portal.
Resource URL
https://<subdomain>.onelogin.com/api/1/invites/
get_invite_linkHeader Parameters
Authorization required string | Set Generate the access token with the API credential pair created using the scope required to call this API. Call this API using the |
Content-Type required string | Set to |
Request Parameter
required string | Set to the user email address to generate an invite link. The value is case sensitive. |
Sample Request Body
{
"email":"jennifer.hasenfus@mycompany.com"
}Sample Response
- 200 OK
- 400 Bad Request
- 401 Unauthorized
{
"status": {
"type": "success",
"message": "Success",
"code": 200,
"error": false
},
"data": [
"http://app.onelogin.com/password/reset?token=
1111111cf892e56957e35c9c12f128483031dd11"
]
}Typically, the following error indicates the Authorization header value is missing or incorrectly formatted. The Authorization header value uses this format: bearer <access_token>.
{
"status": {
"error": true,
"code": 400,
"type": "bad request",
"message": "Authorization Information is incorrect"
}
}{
"status": {
"type": "bad request",
"message": "No User exists for input email",
"error": true,
"code": 400
}
}{
"status": {
"type": "bad request",
"message": "Email Parameter is missing",
"error": true,
"code": 400
}
}{
"status": {
"error": true,
"code": 400,
"type": "bad request",
"message": "Content Type is not specified or specified incorrectly.
Content-Type header must be set to application/json"
}
}{
"status": {
"type": "bad request",
"message": "Email Input is in incorrect format",
"error": true,
"code": 400
}
}{
"status": {
"error": true,
"code": 400,
"type": "bad request",
"message": "Input JSON is not valid"
}
}Typically, this error means that your access token value is invalid.
{
"status": {
"error": true,
"code": 401,
"type": "Unauthorized",
"message": "Authentication Failure"
}
}The following error indicates that an API with insufficient API credentials generated the access token that made the call. Call this API using the Manage All scope only.
{
"status": {
"error": true,
"code": 401,
"type": "Unauthorized",
"message": "Insufficient Permission"
}
}Response Elements
data | Provides a reset password link. |
Postman Collection
Sample cURL Request
Replace sample values indicated by < > with your actual values.
curl "https://<subdomain>.onelogin.com/api/1/invites/get_invite_link" \
-X POST \
-H "Authorization: bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"email":"<user_email>"
}'Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.